<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/eleve.inc.php");

opensession("Eleve");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
       <title>Recherche des réponses des profs</title>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
<?php include("../include/utiljs.php"); ?>

<script language="javascript">
    function recharger(page) {
       //alert('avant charger ');
       window.document.location.href=page;
}
</script>

</head>
<body class='arialeleve' onload="window.parent.haut.nombouton('Retour');">
<?php

if ((!isset($item_id)) || (!isset($typeres))) exit();
$link=connecte($host,$user,$mdp,$db);

//Récupération des infos
//----------------------
//l'item a été demandé et peut-être obtenu
//récupération de la demande pour le message introductif

$ddate="année antérieure"; //infos proposées lorsque l'item est acquis
$dcomment="";              //et que la bascule a supprimé les renseignements
                           //des tables demandes et reponses

if ($message_id) { //il existe encore une trace du message
    $resdemande=query("SELECT quand as ddate, commentaire as dcomment ".
                      "FROM demandes ".
                      "WHERE message_id=$message_id ");

    $rowdemande=mysql_fetch_array($resdemande);
    if ($rowdemande) { //c'est normalement toujours le cas !
        $ddate="le ".$rowdemande["ddate"];
        $dcomment=stripslashes($rowdemande["dcomment"]);
    }
}

//récupération de la rubrique et de l'item concernés
$resitem=query("SELECT rub_no, s_rub_no ".
               "FROM items ".
               "WHERE item_id=$item_id;");
$rowitem=mysql_fetch_array($resitem);
$rubrique=$rowitem["rub_no"];

$resrub=query("SELECT libelle FROM rubriques WHERE rub_no=$rubrique;");
$rowrub=mysql_fetch_array($resrub);

$resitemlib=query("SELECT inst FROM libelles WHERE item_id=$item_id;");
$rowitemlib=mysql_fetch_array($resitemlib);

//Affichage préliminaire
//----------------------

print "<h3>Rubrique ".$rowitem["rub_no"].
      ", sous-rubrique ".$rowitem["s_rub_no"].
      ", item $item_id demandé $ddate.</h3><br>";
print "<h4>".$rowrub["libelle"]."</h4>";
print "<p>".$rowitemlib["inst"]."</p>";


if ($message_id) print "<p><b>Ce que ".tuvous("tu as","vous avez")." écrit : </b>$dcomment</p>";

print "<p class='attention'><b><i>";
switch ($typeres) {
    case "a"  : // item acquis
         print tuvous("Tu as","Vous avez")." acquis cet item";
         break;
    case "on" : // item avec des oui et des non
         print "Le bilan des réponses des professeurs ne permet pas encore de ".tuvous("t'","vous ")."accorder l'item";
         break;
    case "ec" : // item demandé mais sans réponse
         print "Pas encore de réponse des professeurs";
         break;
}
print "</i></b></p>";

if ($message_id) affrepmessage($message_id, true); //sinon, la table reponses a été vidée
?>
</body>
</html>